# Get swap status (GET /swaps)

Operation `get_swaps` of the Uniswap API. Base URL: `https://trade-api.gateway.uniswap.org/v1`.

Get the status of swap or bridge transactions. Accepts on-chain transaction hashes (`txHashes`), ERC-4337 userOperation hashes (`userOpHashes`), or both. At least one of the two must contain at least one item.

Parameters: 3 query, 1 header · Auth: apiKey · Responses: 200, 400, 404, 429, 500, 504

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `txHashes` | string[] | no | On-chain transaction hashes. At least one of `txHashes` or `userOpHashes` must be provided. |
| `userOpHashes` | string[] | no | ERC-4337 UserOperation hashes. At least one of `txHashes` or `userOpHashes` must be provided. |
| `chainId` | enum | no |  |

## Headers

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `x-api-key` | string | yes | Your API key for authentication. |

## Responses

- `200` — Get swap successful.
- `400` — RequestValidationError, Bad Input
- `404` — ResourceNotFound eg. No quotes available or Gas fee/price not available
- `429` — Ratelimited
- `500` — Unexpected error
- `504` — Request duration limit reached.

Interactive playground: https://developers.uniswap.org/docs/api-reference/get_swaps
All endpoints: https://developers.uniswap.org/docs/api-reference
